# Questo risolve il problema di avere un settings.py per test e per docs
# Ovviamente va fatto puntare qui DJANGO_SETTINGS_MODULE

from jumbo.conf.settings import *

DATABASES = {
    'default' : {
        'ENGINE' : "django.db.backends.sqlite3",
        'NAME' : 'timereport.db',
        }
    }
INSTALLED_APPS = ['django.contrib.auth',
                  'django.contrib.contenttypes',
                  'django.contrib.admin',
                  'timereport',
                  'django_nose',                  
#                  'south',
                  ]
MIDDLEWARE_CLASSES = (
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.middleware.common.CommonMiddleware',
    'django.middleware.locale.LocaleMiddleware',
    'django.contrib.messages.middleware.MessageMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.middleware.doc.XViewMiddleware',
    'django.middleware.transaction.TransactionMiddleware',
    'django.middleware.csrf.CsrfViewMiddleware',
    'jumbo.middleware.thread_local.ThreadLocals',
    # 'jogging.middleware.LoggingMiddleware',
    # 'lastActivityDate.LastActivityMiddleware.LastActivityMiddleware',
    # 'jumbo.middleware.maintenance_middleware.MaintenanceMiddleware'
    )


ROOT_URLCONF = 'timereport.urls'
TEST_RUNNER = 'django_nose.NoseTestSuiteRunner'
#SOUTH_TESTS_MIGRATE = False

#NOSE_ARGS = ['--stop', '--ipdb', '--ipdb-failure']
DEBUG = True
